Introduction
Organisations and venues
Marketing
Workflows
Going live
Form
Create form submissions on behalf of a guest
Create a Form Submission
POST
/v1/guests/:guest_id/formRequest Body
| Name | Type | Description |
|---|---|---|
venue_idrequired | String | The venue ID that the form is applicable for. Must be exactly 12 alphanumeric characters. |
source | String | Source of the form submission. Must be either "web" or "in-venue-form". Defaults to "web" |
form_id | String | A unique ID of your choice to identify the form the user has filled in. Optional. |
Validation Rules
venue_id: Required. Must be exactly 12 alphanumeric characters (a-z, A-Z, 0-9)form_id: Optional. Can be any string valuesource: Must be either "web" or "in-venue-form". Defaults to "web" if not provided
Notes
- The
organisation_idis automatically added from your authentication context - The
guest_idis taken from the URL parameter - If
form_idis not provided, it defaults to null
Response
Returns the created form data object.
Error Response (422: Unprocessable Entity)
{
message: string;
errors: {
code: string;
expected?: string;
received?: string;
path: string[];
}[];
}